CK_HT_ENTRY_KEY_SET(3)

NAME
ck_ht_entry_key_set - initialize pointer to key in hash table entry

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>
void
ck_ht_entry_key_set(ck_ht_entry_t *entry, const void *key, uint16_t key_length);

DESCRIPTION
The ck_ht_entry_key_set() function will initialize the object pointed to by entry with a key pointed to by the key argument. The length of the key is specified by key_length. The maximum value of key_length is defined by the CK_HT_KEY_LENGTH macro. This function is typically used to initialize an entry for ck_ht_get_spmc(3) and ck_ht_remove_spmc(3) operations. It is expected that the entry will be associated with a hash table initialized with CK_HT_MODE_BYTESTRING (see ck_ht_init(3) for more information).

RETURN VALUES
ck_ht_entry_key_set() has no return value.

ERRORS
This function will never fail.

SEE ALSO
ck_ht_stat(3), ck_ht_init(3), ck_ht_destroy(3), ck_ht_hash(3), ck_ht_hash_direct(3), ck_ht_set_spmc(3), ck_ht_put_spmc(3), ck_ht_gc(3), ck_ht_get_spmc(3), ck_ht_grow_spmc(3), ck_ht_remove_spmc(3), ck_ht_count(3), ck_ht_reset_spmc(3), ck_ht_reset_size_spmc(3), ck_ht_entry_empty(3), ck_ht_entry_key_set_direct(3), ck_ht_entry_key(3), ck_ht_entry_key_length(3), ck_ht_entry_value(3), ck_ht_entry_set(3), ck_ht_entry_set_direct(3), ck_ht_entry_key_direct(3), ck_ht_entry_value_direct(3), ck_ht_iterator_init(3), ck_ht_next(3)

Additional information available at http://concurrencykit.org/